%define		pkgname	alsa-mixer
Summary:	A Haskell binding to the alsa-mixer graphics library
Name:		ghc-%{pkgname}
Version:	0.2.0.3
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	2f5931fa7c82f66b9e4c9e4cf4c3e406
URL:		http://hackage.haskell.org/package/alsa-mixer/
BuildRequires:	alsa-lib-devel
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-alsa-core >= 0.5
BuildRequires:	ghc-c2hs
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ghc-alsa-core >= 0.5
Requires:	ghc-c2hs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
A Haskell binding to the alsa-mixer graphics library.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sun Sep 04 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-alsa-mixer.git;a=log;h=master

* Wed Jul 27 2016 Jan Palus <atler@pld-linux.org> 60785c5
- BR: alsa-lib-devel

* Wed Jul 27 2016 Jan Palus <atler@pld-linux.org> a969238
- up to 0.2.0.3

* Mon Mar 10 2014 Jan Palus <jan.palus@gmail.com> 7065169
- up to 0.2.0.1

* Fri Jul 26 2013 Jan Palus <jan.palus@gmail.com> 5dac400
- rel 1

* Sat Mar 16 2013 Jan Palus <jan.palus@gmail.com> bbe74f1
- new

